// conversion from one TextField into another

package AWT_Conversion;

import java.awt.FlowLayout;
import java.awt.Frame;
import java.awt.TextField;
import AWT_Conversion.LinearConversion;
import AWT_Conversion.Controller;

public class Main {
  public static void main (String args []) {
    Frame frame = new Frame(); frame.setLayout(new FlowLayout());
    TextField input = new TextField(10);
    TextField output = new TextField(10); output.setEditable(false);
    frame.add(input); frame.add(output);

    Controller c = new Controller(new LinearConversion(9./5, 32), output);

    input.addActionListener(c);
    input.addFocusListener(c);

    frame.pack(); frame.show();
  }
}
